Name:          duktape
Version:       2.7.0
Release:       1mamba
Summary:       An embeddable Javascript engine, with a focus on portability and compact footprint
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://duktape.org/
Source:        https://duktape.org/duktape-%{version}.tar.xz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Duktape is an embeddable Javascript engine, with a focus on portability and compact footprint.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
export CFLAGS="%{optflags} -DDUK_USE_FASTINT"
%make -f Makefile.sharedlibrary INSTALL_PREFIX=%{_prefix} LIBDIR=/%{_lib}

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -f Makefile.sharedlibrary INSTALL_PREFIX=%{_prefix} LIBDIR=/%{_lib}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libduktape.so.*
%{_libdir}/libduktaped.so.*
%doc LICENSE.txt

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/duk_config.h
%{_includedir}/duktape.h
%{_libdir}/libduktape.so
%{_libdir}/libduktaped.so
%{_libdir}/pkgconfig/duktape.pc
%doc README.rst

%changelog
* Sat Oct 08 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.7.0-1mamba
- package created using the webbuild interface
